API referenceChannels
Update a channel
PATCH
/v1/channels/{channel_id}Requires role admin or higher.
AuthorizationBearer <token>
A session token from /v1/auth/sign-in/email (CLI, scripts).
In: header
Path Parameters
channel_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Properties
1 <= propertiesResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/v1/channels/string" \ -H "Authorization: Bearer $DLOGIFY_SESSION" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2019-08-24T14:15:22Z", "email": "string", "enabled": true, "health": "ok", "id": "string", "member_id": "string", "name": "string", "project_id": "string", "type": "email", "updated_at": "2019-08-24T14:15:22Z"}